
Foreman - Refactor #3717

Pin fog version to prevent incompatibilities

11/21/2013 07:01 PM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Packaging   

Target version: 1.3.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

We've had a few issues (like #3653) where new fog versions can change in slightly incompatible ways, causing CRs to stop working. 

Because we have no tests covering this area and usually build RPMs on each release, we can bump it each time we need a new

feature.  Currently when we rebuild stable packages for Debian or users on source installs, it's pulling in the latest version.

Related issues:

Related to Foreman - Bug #3653: Recent versions of fog require guest_id to be... Closed 11/14/2013

Associated revisions

Revision 4cc18563 - 11/23/2013 07:21 PM - Dominic Cleal

fixes #3717 - pin fog to 1.18.x

Revision b03d0a49 - 12/10/2013 11:58 AM - Dominic Cleal

fixes #3717 - pin fog to 1.15.x

(cherry picked from commit 4cc18563a29cf2e94e0e1a92dfdae14aea6b97a2)

Conflicts:

bundler.d/fog.rb

foreman.spec

History

#1 - 11/21/2013 07:03 PM - Dominic Cleal

- Related to Bug #3653: Recent versions of fog require guest_id to be set. added

#2 - 11/21/2013 07:04 PM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

- Assignee set to Dominic Cleal

https://github.com/theforeman/foreman/pull/1045

#3 - 11/23/2013 07:31 PM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 4cc18563a29cf2e94e0e1a92dfdae14aea6b97a2.

#4 - 12/04/2013 10:48 AM - Dominic Cleal

- translation missing: en.field_release set to 3
